<?php

use Ulmus\Container\AdapterProxy;

use function DI\autowire, DI\create, DI\get, DI\add;

return [
    'lean.autoload' => add([
        AdapterProxy::class,
    ]),

    AdapterProxy::class => function (ContainerInterface $c) {
        return new AdapterProxy(
            $c->get('lean:adapter.sqlite'),
            $c->get(ConnectionAdapter::class),
        );
    },
];
